# From https://git.gnome.org/browse/json-glib/plain/build/autotools/Makefile.am.gitignore
# this file should only be used in directories that generate test
# or example binaries through noinst_PROGRAMS; it is *not* a full
# generator of Git ignore files, and it's not meant to be used as
# the top-level Git ignore file generator.

GITIGNORE="$(builddir)/.gitignore"

$(GITIGNORE): Makefile.am
	$(AM_V_GEN)( \
	  echo "*.o" ; \
	  echo ".gitignore" ; \
	  echo "*.trs" ; \
	  echo "*.log" ; \
	) > $(GITIGNORE) ; \
	for p in $(noinst_PROGRAMS); do \
		echo "/$$p" >> $(GITIGNORE) ; \
	done ; \
	for p in $(check_PROGRAMS); do \
		echo "/$$p" >> $(GITIGNORE) ; \
	done


gitignore: $(GITIGNORE)

gitignore-clean:
	$(QUIET_RM)rm -f $(GITIGNORE)

.PHONY: gitignore gitignore-clean

all: gitignore

maintainer-clean: gitignore-clean
dist-clean: gitignore-clean

MAINTAINERCLEANFILES+=.gitignore
DISTCLEANFILES+=.gitignore